@Library("ectrl-shared-libs")
import static ectrl.vars.GlobalVars.*
setenv(this, env.JOB_BASE_NAME)

pipeline {
    agent {
        label 'lxplus'
    }
    options {
        retry(3)
        timeout(time: 2, unit: 'HOURS')
    }
    stages {
        stage('get disk usage') {
            steps {
                sh "fs lq | grep ecalgit | awk '{print \$4}' > quota.tmp"
                automationApptainerStepNoCampaign """
                kinit ecalgit -k -t /afs/cern.ch/user/e/ecalgit/.globus/ecalgit.keytab
                ecaldiskmon.py
                rm quota.tmp
                """
            }
        }
    }
    post {
        unsuccessful {
            sendMattermostNotification "ERROR"
        }
    }
}
